package com.fs.company.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.common.core.domain.R;
import com.fs.company.domain.CompanyCompanyFsuser;

/**
 * 销售绑定用户Service接口
 *
 * @author fs
 * @date 2025-04-09
 */
public interface ICompanyCompanyFsuserService extends IService<CompanyCompanyFsuser>{
    /**
     * 查询销售绑定用户
     *
     * @param id 销售绑定用户主键
     * @return 销售绑定用户
     */
    CompanyCompanyFsuser selectCompanyCompanyUserById(Long id);

    /**
     * 查询销售绑定用户列表
     *
     * @param companyCompanyFsuser 销售绑定用户
     * @return 销售绑定用户集合
     */
    List<CompanyCompanyFsuser> selectCompanyCompanyUserList(CompanyCompanyFsuser companyCompanyFsuser);

    /**
     * 新增销售绑定用户
     *
     * @param companyCompanyFsuser 销售绑定用户
     * @return 结果
     */
    int insertCompanyCompanyUser(CompanyCompanyFsuser companyCompanyFsuser);

    /**
     * 修改销售绑定用户
     *
     * @param companyCompanyFsuser 销售绑定用户
     * @return 结果
     */
    int updateCompanyCompanyUser(CompanyCompanyFsuser companyCompanyFsuser);

    /**
     * 批量删除销售绑定用户
     *
     * @param ids 需要删除的销售绑定用户主键集合
     * @return 结果
     */
    int deleteCompanyCompanyUserByIds(Long[] ids);

    /**
     * 删除销售绑定用户信息
     *
     * @param id 销售绑定用户主键
     * @return 结果
     */
    int deleteCompanyCompanyUserById(Long id);

    R bind(Long companyUserId, String userId);

    R getInfoByUserId(String userId);
}
